Search the Community
Showing results for tags 'side'.
-
How to draw side view knowing only top and front view?
khoshravan posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
My question is not related to CAD directly, however some of you may help to get a proper answer. It is about drawing 3 views of an object. My daughter is a 1st semester student in Mechanical Engineering dept. She has drawing course. She asks me to help her with following problem. Two views from three views (top-front- side) of an object is given. She has to draw the 3rd view without knowing the perspective of the object. She knows the basics but mess up when the question becomes hard. What is your comments for helping her to master imagination techniques? Is there any downloadable book in this regard? I have heard about a software which helps with mastering this techniques but a search in Google was not helpful. -
Offset to layer on particular side and erase orignal object offset from
Baber62 posted a topic in AutoLISP, Visual LISP & DCL
Hi, Need help with this routine, it offsets to a selected layer however I need to add coding to erase the orginal object that it was offset from. The coding is as listed below: [/b] ;; OL.lsp ;; Offset-to-Layer = Offset an entity a specified distance, and Change the new entity to a specified Layer. ;; At first use, offers current Offset Distance and current Layer as defaults; ;; subsequently, offers this routine's previously-used Offset-to-Layer Distance (even if ordinary Offset ;; distance has been changed) and Layer-to-change-to as defaults. ;; by Kent Cooper, August 2008 (defun C:OL (/ offlaytemp offent) (initget 134) (setq offlaydist (cond ( (getdist (strcat "\nOffset-to-Layer distance or [Through] <" (cond ((numberp offlaydist) (rtos offlaydist)) ((= (getvar 'offsetdist) -1) "Through") ((rtos (getvar 'offsetdist))) ); end cond ">: " ); end strcat ); end getdist ); end first cond test (T (if (not offlaydist) (getvar 'offsetdist) offlaydist)) ); end cond offlaytemp (getstring (strcat "\nLayer to Offset to <" (if offlay offlay (getvar 'clayer)) ">: " ); end strcat ); end getstring offlay (cond ((/= offlaytemp "") offlaytemp) (offlay) (T (getvar 'clayer)) ); end cond ); end setq (while (not (while (not (and (setq offent (ssget ":S" '((0 . "LINE,ARC,CIRCLE,ELLIPSE,LWPOLYLINE,SPLINE,XLINE,RAY")))) (= (cdr (assoc 70 (tblsearch "layer" (cdr (assoc 8 (entget (ssname offent 0))))))) 0); 0 for Unlocked, 4 for Locked ); end and ); end not (prompt "\nSelected Entity cannot be Offset, or is on a Locked Layer; try again: ") ); end while ); end not (command "_.undo" "_be") (command ".offset" offlaydist offent pause "" ".chprop" "l" "" "la" offlay "" ); end command (command "_.undo" "_e") ); end while ); end defun (princ "\nType OL to Offset to Layer.") (princ) [b] Any help would be appreciated.